/*+
|                                               |
|     Trigger: DTULTATU_DIMENSAODIME            |  
|     Tabela : DIMENSAODIME                     |
|                                               |
|     Criao:                                  |
|     11/09/2007 - Luiz Passos                  |
|                                               |
+*/

create or replace TRIGGER DTULTATU_DIMENSAODIME
BEFORE INSERT OR UPDATE OR DELETE
ON DIMENSAODIME FOR EACH ROW

BEGIN
   IF INSERTING THEN
      :NEW.DTULTATUDDIME := SYSDATE;
   END IF;
   IF UPDATING THEN
      IF (NVL(:OLD.NRSEQUEDIME,0)   <>  NVL(:NEW.NRSEQUEDIME,0))   OR
         (NVL(:OLD.NMITEMDIME ,0)   <>  NVL(:NEW.NMITEMDIME ,0))   OR
         (NVL(:OLD.CDTABELADIME ,0) <>  NVL(:NEW.CDTABELADIME ,0)) OR
         (NVL(:OLD.DSPKDIME ,0)     <>  NVL(:NEW.DSPKDIME ,0))     OR
         (NVL(:OLD.DSITEMDIME ,0)   <>  NVL(:NEW.DSITEMDIME ,0))   OR
         (NVL(:OLD.DSPKDIME2 ,0)    <>  NVL(:NEW.DSPKDIME2 ,0))    OR         
         (NVL(:OLD.IDDIMENSAODW,0)  <>  NVL(:NEW.IDDIMENSAODW,0))  THEN

         :NEW.DTULTATUDDIME := SYSDATE;
      END IF;
   END IF;
   IF DELETING THEN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
                       VALUES ('DIMENSAODIME', '', 'NRSEQUEDIME='||:OLD.NRSEQUEDIME||';NMITEMDIME='||:OLD.NMITEMDIME||';', SYSDATE);
   END IF;
END;
/

ALTER TABLE DIMENSAODIME MODIFY DTULTATUDDIME DEFAULT SYSDATE
/

-- VERSAO --
BEGIN ATUVEROBJ('DTULTATU_DIMENSAODIME','4.11.176'); END;
/

